Bug 129253 - Export: Finish button incorrectly enabled/disabled in some cases
Export: Finish button incorrectly enabled/disabled in some cases
Status: CLOSED CURRENTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: RPM Plug-in (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rick Moseley
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-05 11:51 EDT by Jeremy Handcock
Modified: 2007-04-18 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-10 16:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Handcock 2004-08-05 11:51:07 EDT
Description of problem: In the RPMExportPage_2 dialog box, the Finish
button is incorrectly enabled/disabled in some cases.


Version-Release number of selected component (if applicable):
eclipse-rpm-1.1.0-3


How reproducible: Always


Steps to Reproduce:
1. Import an SRPM into a project
2. Make a modification to the project (to create a patch)
3. Export as Source/Binary RPM
4. In the patch dialog (RPMExportPage_2), enter a valid patch tag (no
spaces in the name).
5. Click in the Changelog comment field and modify it.
6. Click in the Patch Tag field, and add a space.
  
Actual results: The Finish button is enabled.
Expected results: The Finish button should be disabled.

A similar problem with the Finish button incorrectly disabled can occur:
1. Import an SRPM into a project
2. Make a modification to the project (to create a patch)
3. Export as Source/Binary RPM
4. In the patch dialog (RPMExportPage_2), enter an invalid patch tag
(with a space in it)
5. Click in the Changelog comment field and modify it.
6. Click in the Patch Tag field, and remove the space to make a valid
patch tag.

Actual results: Finish button is disabled.
Expected results: Finish button should be enabled.
Comment 1 Rick Moseley 2004-08-10 16:34:05 EDT
Corrected the way the canFinish() method handled the finish button. 
Added a "modify listener" for the patch tag field and it now handles
errors in that field such as spaces or if a duplicate patch tag name
is entered.

Note You need to log in before you can comment on or make changes to this bug.